// General includes:
#include "FeatureSets.h"
#include "ObjectModelTypes.fh"
#include "GenericID.h"

// Project includes:
#include "exampleExtensionID.h"
#include "ActivePageItemExtensionID.h"

#ifdef __ODFRC__

resource PluginVersion (kSDKDefPluginVersionResourceID)
{
	kTargetVersion,
	kExampleExtensionPluginID,
	kExampleExtensionMajorVersionNumber, kExampleExtensionMinorVersionNumber, 	
	kSDKDefHostMajorVersionNumber, kSDKDefHostMinorVersionNumber,
	kExampleExtensionLastMajorFormatChange, kExampleExtensionLastMinorFormatChange,
	{ kInDesignProduct, kInCopyProduct },
	{ kWildFS },
	kExampleExtensionVersion
};

resource ClassDescriptionTable(kSDKDefClassDescriptionTableResourceID)
{{{
	AddIn
	{
		kPageItemBoss,
		kInvalidClass,
		{
			IID_IACTIVEPAGEITEMEXTENSION, kExampleExtensionImpl,
		}
	},
	AddIn
	{
		kActivePageItemScriptedPluginBoss,
		kInvalidClass,
		{
			IID_IACTIVEPAGEITEMEXTENSION, kExampleExtensionImpl,
		}
	},
}}};

/*
// Implementation definition.
*/
resource FactoryList (kSDKDefFactoryListResourceID) 
{
	kImplementationIDSpace,
	{
#include "exampleExtensionFactoryList.h"
	}
};

#endif // __ODFRC__
